Page MenuHomePhabricator

Login hangs for new LDAP users in Mediawiki 1.24.0
Closed, ResolvedPublic

Description

After successful upgrade from MediaWiki 1.24.6, logging in as a new MediaWiki user using LDAP credentials hangs on login.

PHP Error logs shows the following:

PHP Fatal error:  Call to a member function toString() on a non-object in /var/www/mediawiki-1.24.0/includes/User.php on line 3493

Workaround: Adding member through MySQL user table manually allows user to then login cleanly using LDAP User Credentials

Environment:

CentOS release 6.5 (Final)
Linux www 2.6.32-431.23.3.el6.x86_64 #1 SMP Thu Jul 31 17:20:51 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux
MediaWiki 1.24.0
PHP 5.5.15 (apache2handler)
MySQL 5.1.73

Extensions:

ImageMap –
ParserFunctions 1.6.0
SyntaxHighlight 1.0.8.11-wmf1
LDAP Authentication Plugin 1.2e
Lockdown –
WikiEditor 0.4.0

Event Timeline

Jnash99 created this task.Dec 10 2014, 2:27 AM
Jnash99 raised the priority of this task from to Needs Triage.
Jnash99 updated the task description. (Show Details)
Jnash99 changed Security from none to None.
Jnash99 added a subscriber: Jnash99.
demon added a subscriber: demon.
demon removed a subscriber: demon.
saper added a subscriber: saper.EditedMar 17 2015, 7:02 PM

Another user reporting this on IRC on 1.24.1 today:

[Tue Mar 17 18:08:36 2015] [error] [client A.B.C.D] PHP Fatal error:  Call to a member function toString() on a non-object in /var/www/html/wiki/includes/User.php on line 3493, referer: https://example.org/index.php?title=Special:UserLogin&returnto=Main+Page&returntoquery=action%3Dsubmitlogin%26type%3

This is:

'user_password' => $this->mPassword->toString()
saper triaged this task as Medium priority.Mar 17 2015, 7:39 PM
saper added a subscriber: Anomie.

Might be related to T73421

saper added a comment.Mar 17 2015, 9:00 PM

Initial reports confirm that applying 4dc1f5a1759bdf392504f4901748175b46f59a7e (gerrit change Ib5f94b52c07e7dba89328b98fb43c86db95ee09f) seems to fix the issue.

LdapAutoAuthentication::Authenticate tries to add the user into database and loaded defaults seem not to work.

Initial reports confirm that applying 4dc1f5a1759bdf392504f4901748175b46f59a7e (gerrit change Ib5f94b52c07e7dba89328b98fb43c86db95ee09f) seems to fix the issue.

As that patch is included in supported versions 1.26, 1.27, should this task be closed as resolved?

Aklapper closed this task as Resolved.Aug 11 2016, 11:52 AM
Aklapper claimed this task.

No reply to my last comment, hence resolving.